HELP FILE

Changes to System Requirements FAQs

    To make sure our GoToMeeting, GoTo Webinar and GoToTraining desktop app is simple and reliable, we use the latest technology in our product updates and improvements. This means that we sometimes have to trade out support for an older browser or operating system so that we can focus instead on improving the quality of our products and building new and innovative things.

    Which operating systems are supported?

    There are multiple ways for you and your attendees to access GoToMeeting, GoTo Webinar, and GoToTraining, and each method has different system requirements. See below for the most undated info:

     

    Why do you discontinue support of older operating systems?

    It takes a lot of time and resources for us to support each individual operating system, and we want to invest those resources into making our products better for you! Therefore, we regularly discontinue support for older operating systems once Microsoft and Apple discontinues their support of them.

     

    Does this mean that I can't start sessions as an organizer from these operating systems?

    If you are a GoTo Webinar or GoToTraining organizer, then you will not be able to start sessions from these operating systems. Since it is not possible for you to host sessions using the browser-based Instant Join app, you will need to upgrade your operating system to download the latest build of the desktop app.

    Does this affect my attendees?

    Yes. Your attendees also will not be able to install the desktop app if they are on an older operating system. However, they will be prompted to join from their browser or can use their mobile device instead.

     

    How do I upgrade my operating system?

    It depends on your current operating system. In some cases, you can upgrade for free! Learn more here: